# Generated from spur-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name spur

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: eCommerce for your Ruby on Rails Application
License: MIT
URL: https://github.com/spurryal/spur
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(pry)
BuildArch: noarch

%description
Spur allows developers to setup a highly configurable ecommerce backend.
The
aim of this gem is to provide some of the core features that you might find
inside of Solidus or the legacy project, Spree.
If you are in need of a simple payment backend to sell some products
(either physical, downloadable, or subscribable), Spur may be the best
choice for you. Spur works best as an _integration_ with a SaaS product and
for smaller stores that don't need the weight of Solidus.
Checkout the guides for more details on getting setup. Spur will allow you
to be able to:
* Setup a very robust subscription platform.
* Sell downloadable content.
* Ship products to and from locations.
* Accept payments without worrying about money management.
* Provide order management for users.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spur.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 0.0.1-1
- Initial package
